Retiarii API Reference
======================

.. contents::

Inline Mutation APIs
--------------------

..  autoclass:: nni.retiarii.nn.pytorch.LayerChoice
    :members:

..  autoclass:: nni.retiarii.nn.pytorch.InputChoice
    :members:

..  autoclass:: nni.retiarii.nn.pytorch.ValueChoice
    :members:

..  autoclass:: nni.retiarii.nn.pytorch.ChosenInputs
    :members:

Graph Mutation APIs
-------------------

..  autoclass:: nni.retiarii.Mutator
    :members:

..  autoclass:: nni.retiarii.Model
    :members:

..  autoclass:: nni.retiarii.Graph
    :members:

..  autoclass:: nni.retiarii.Node
    :members:

..  autoclass:: nni.retiarii.Edge
    :members:

..  autoclass:: nni.retiarii.Operation
    :members:

Trainers
--------

..  autoclass:: nni.retiarii.trainer.pytorch.PyTorchImageClassificationTrainer
    :members:

..  autoclass:: nni.retiarii.trainer.pytorch.PyTorchMultiModelTrainer
    :members:

Oneshot Trainers
----------------

..  autoclass:: nni.retiarii.trainer.pytorch.DartsTrainer
    :members:

..  autoclass:: nni.retiarii.trainer.pytorch.EnasTrainer
    :members:

..  autoclass:: nni.retiarii.trainer.pytorch.ProxylessTrainer
    :members:

..  autoclass:: nni.retiarii.trainer.pytorch.SinglePathTrainer
    :members:

Strategies
----------

..  autoclass:: nni.retiarii.strategies.RandomStrategy
    :members:

..  autoclass:: nni.retiarii.strategies.TPEStrategy
    :members:

Retiarii Experiments
--------------------

..  autoclass:: nni.retiarii.experiment.RetiariiExperiment
    :members:

..  autoclass:: nni.retiarii.experiment.RetiariiExeConfig
    :members:
